Bug 839531 - could not connect to BOINC
could not connect to BOINC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boinc-client (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
:
Depends On: 1039258
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 04:46 EDT by Germano Massullo
Modified: 2013-12-27 00:59 EST (History)
6 users (show)

See Also:
Fixed In Version: boinc-client-7.2.33-2.git1994cc8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 00:58:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boinc (10.71 KB, image/png)
2012-07-12 04:47 EDT, Germano Massullo
no flags Details

  None (edit)
Description Germano Massullo 2012-07-12 04:46:46 EDT
Description of problem:
Every time you open BOINC manager you will see a popup telling you that the GUI cannot connect to the BOINC service. But when you close this popup everything works fine.
See the screenshot in attachment

Version-Release number of selected component (if applicable):
7.0.29
Comment 1 Germano Massullo 2012-07-12 04:47:11 EDT
Created attachment 597735 [details]
boinc
Comment 2 Germano Massullo 2013-03-13 07:30:25 EDT
Confirming on Fedora 18
Comment 3 Fedora End Of Life 2013-07-04 01:17:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Germano Massullo 2013-07-04 03:41:27 EDT
Confirming on Fedora 19 too.
Comment 5 Germano Massullo 2013-11-27 11:27:39 EST
Are there any plans to fix it?
Comment 6 Paul DeStefano 2013-12-02 00:42:40 EST
Me too.

Theodore, can you please please up this to at least F19?  And, if you have got it working, please let us all know.  I've tried everything I can think of and I still cannot connect to the client.

Plus, other people have reported bugs against BOINC that suggest that, at least, can talk to their clients.  So, what's wrong with our systems?
Comment 7 Paul DeStefano 2013-12-02 00:44:20 EST
Oops, OP is Germano.  Germano, can you please switch bug to F19?
Comment 8 Lorenzo Mastrogiacomi 2013-12-03 12:57:59 EST
(In reply to Paul DeStefano from comment #6)
> Me too.
> 
> Theodore, can you please please up this to at least F19?  And, if you have
> got it working, please let us all know.  I've tried everything I can think
> of and I still cannot connect to the client.
> 
> Plus, other people have reported bugs against BOINC that suggest that, at
> least, can talk to their clients.  So, what's wrong with our systems?

Paul, this bug is about the popup message always coming out even when it should not.
Connection of the manager to the client is allowed when your user is in the boinc group. Is it so?
Comment 9 Paul DeStefano 2013-12-04 19:48:45 EST
Aha, no, I wasn't in the group.  Thanks for the help.  It works now that I'm in the group.  Sorry, but I didn't find that mentioned anywhere I checked.

In regards to this bug, I did get the message "cannot connect..." in F19.
Comment 10 Fedora Update System 2013-12-19 13:59:09 EST
boinc-client-7.2.33-2.git1994cc8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/boinc-client-7.2.33-2.git1994cc8.fc19
Comment 11 Fedora Update System 2013-12-19 13:59:45 EST
boinc-client-7.2.33-2.git1994cc8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/boinc-client-7.2.33-2.git1994cc8.fc20
Comment 12 Germano Massullo 2013-12-19 14:29:02 EST
(In reply to Fedora Update System from comment #11)
> boinc-client-7.2.33-2.git1994cc8.fc20 has been submitted as an update for
> Fedora 20.
> https://admin.fedoraproject.org/updates/boinc-client-7.2.33-2.git1994cc8.fc20

It works thank you.
A user in BOINC mailing list told me that "could not connect to BOINC" string is not present in upstream BOINC, so it is something added in Fedora packaged BOINC. Is that true?
Comment 13 Paul DeStefano 2013-12-20 00:40:24 EST
Hi Germano,

I think I can save the maintainers some time on this one.

I've been using the BOINC official installer for many years and the dialog box you're talking about has been there as long as I can remember.  I can guarantee it is in the upstream source; it wasn't added by Fedora package maintainers.  It doesn't normally show up on start, but I have seen it before outside of the boinc-client Fedora package.  The code path may be getting tickled by something the maintainers did with the installation, but it's not new code.
Comment 14 Fedora Update System 2013-12-20 21:21:52 EST
Package boinc-client-7.2.33-2.git1994cc8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing boinc-client-7.2.33-2.git1994cc8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23720/boinc-client-7.2.33-2.git1994cc8.fc19
then log in and leave karma (feedback).
Comment 15 Fedora End Of Life 2013-12-21 10:40:39 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora Update System 2013-12-27 00:58:57 EST
boinc-client-7.2.33-2.git1994cc8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-12-27 00:59:56 EST
boinc-client-7.2.33-2.git1994cc8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.